Package: groovy.model

## [Java] Class PropertyModel

- groovy.model.PropertyModel

- All Implemented Interfaces and Traits:
    NestedValueModel, ValueModel

      public class PropertyModel

  Represents a property of a value as a model.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyModel (ValueModel sourceModel, String property)`
    `PropertyModel (ValueModel sourceModel, String property, Class type)`
    `PropertyModel (ValueModel sourceModel, String property, Class type, boolean editable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getProperty()`
    `` | `ValueModel` | `getSourceModel()`
    `` | `Class` | `getType()`
    `` | `Object` | `getValue()`
    `` | `boolean` | `isEditable()`
    `` | `void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyModel(ValueModel sourceModel, String property)

    - #### public PropertyModel(ValueModel sourceModel, String property, Class type)

    - #### public PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)

  - ### Method Detail

    - #### public String getProperty()

    - #### public ValueModel getSourceModel()

    - #### public Class getType()

    - #### public Object getValue()

    - #### public boolean isEditable()

    - #### public void setValue(Object value)